from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XClipboardManager(XInterface, Protocol):
    def removeClipboard(self, aName: str) -> None: ...
    def listClipboardNames(self) -> sequence < string >: ...
